#include "Ball.h"
#include <iostream>
Ball::Ball()
{
	_isFalling = true;
	_texture.loadFromFile("pokeball.png");
	_sprite = sf::Sprite(_texture);

	_sprite.setOrigin(_sprite.getLocalBounds().width / 2.0f, _sprite.getLocalBounds().height / 2.0f);
}

void Ball::update() {
	if (_isFalling)
		_sprite.move(0, 1);
	else
		_sprite.move(0, -1);
}

float Ball::getYPosition() {
	return _sprite.getGlobalBounds().top;
}

sf::FloatRect Ball::getBounds() {
	return _sprite.getGlobalBounds();
}

void Ball::bounce() {
	_isFalling = false;
}

void Ball::setPosition(float x, float y) {
	_sprite.setPosition(x, y);
}

void Ball::draw(sf::RenderWindow & theWindow) {

	theWindow.draw(_sprite);
}


Ball::~Ball()
{
}
