#include "Game.h"
#include <iostream>

Game::Game() {
	_gameWindow.create(sf::VideoMode(800, 600), "My window");
	_backgroundColor = sf::Color(69, 132, 1, 255);
	_theBall.setPosition(_gameWindow.getSize().x / 2.0f, _gameWindow.getSize().y / 2.0f);

	_theBox.setPosition(_gameWindow.getSize().x / 2.0f, 50);
}

void Game::run() {

	// This is the game loop
	while (_gameWindow.isOpen())
	{
		sf::Event event;
		while (_gameWindow.pollEvent(event))
		{
			// "close requested" event: we close the window
			if (event.type == sf::Event::Closed)
				_gameWindow.close();
		}

		handleInput();
		update();
		draw();
	}

}

void Game::handleInput() {

}

void Game::update() {

	_theBall.update();
	float ballPos = _theBall.getYPosition();

	if (ballPos > _gameWindow.getSize().y)
		_theBall.bounce();

	_theBox.update();

	// Check for collisions!
	if (_theBox.isAlive() && _theBox.getBounds().intersects(_theBall.getBounds())) {
		_theBox.boom();
	}
}

void Game::draw() {

	_gameWindow.clear(_backgroundColor);

	// Draw all the things
	_theBall.draw(_gameWindow);
	_theBox.draw(_gameWindow);

	// Swap buffers
	_gameWindow.display();
}


Game::~Game()
{
}
